## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-debian
Version:        0.1.51
Release:        %autorelease
Summary:        Modules for Debian-related data formats
# debfile.py, arfile.py, debtags.py are release under GPL v3 or above
# everything else is GPLv2+
License:        GPL-2.0-or-later AND GPL-3.0-or-later
Source0:        http://ftp.debian.org/debian/pool/main/p/python-debian/python-debian_%{version}.tar.xz
URL:            https://salsa.debian.org/python-debian-team/python-debian
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
#tests
BuildRequires:  dpkg
BuildRequires:  python3-chardet
BuildRequires:  python3-pytest
%if ! 0%{?rhel}
BuildRequires:  python3-apt
%endif

%global _description\
This package provides Python modules that abstract many formats of Debian\
related files. Currently handled are:\
* Debtags information (debian.debtags module)\
* debian/changelog (debian.changelog module)\
* Packages files, pdiffs (debian.debian_support module)\
* Control files of single or multiple RFC822-style paragraphs, e.g.\
  debian/control, .changes, .dsc, Packages, Sources, Release, etc.\
  (debian.deb822 module)\
* Raw .deb and .ar files, with (read-only) access to contained\
  files and meta-information

%description %_description

%package -n python3-debian
Summary:        Modules for Debian-related data formats
BuildRequires:  python3-devel
Requires:       python3-chardet
Requires:       xz
Requires:       python3-six
Suggests:       gnupg
%if ! 0%{?rhel}
Recommends:     python3-apt
%endif

%description -n python3-debian
This package provides Python modules that abstract many formats of Debian
related files. Currently handled are:
* Debtags information (debian.debtags module)
* debian/changelog (debian.changelog module)
* Packages files, pdiffs (debian.debian_support module)
* Control files of single or multiple RFC822-style paragraphs, e.g.
  debian/control, .changes, .dsc, Packages, Sources, Release, etc.
  (debian.deb822 module)
* Raw .deb and .ar files, with (read-only) access to contained
  files and meta-information


%prep
%autosetup -p1 -n python-debian-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files debian

%check
%pyproject_check_import

%files -n python3-debian -f %{pyproject_files}
%doc README.rst HISTORY.deb822

%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 0.1.51-6
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.51-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Dec 28 2024 Miroslav Suchý <msuchy@redhat.com> - 0.1.51-4
- update packit config

* Thu Dec 26 2024 Miroslav Suchý <msuchy@redhat.com> - 0.1.51-3
- rebase to 0.1.51

* Thu Dec 26 2024 Miroslav Suchý <msuchy@redhat.com> - 0.1.51-2
- rebase to 0.1.51

* Thu Dec 26 2024 Miroslav Suchý <msuchy@redhat.com> - 0.1.51-1
- rebase to 0.1.51

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.49-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.1.49-11
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.49-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.49-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 21 2023 Miro Hrončok <miro@hroncok.cz> - 0.1.49-8
- Don't list *.py* in site-packages

* Tue Nov 21 2023 Miro Hrončok <miro@hroncok.cz> - 0.1.49-7
- Don't own /usr/lib/python3.X/site-packages/__pycache__

* Thu Oct 05 2023 Miroslav Suchý <msuchy@redhat.com> - 0.1.49-6
- setup packit pull-from-upstream automation

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.49-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.1.49-4
- Rebuilt for Python 3.12

* Sat Feb 11 2023 Miroslav Suchý <msuchy@redhat.com> - 0.1.49-3
- migrate license to SPDX

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.49-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 21 2022 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 0.1.49-1
- version 0.1.49-1

* Wed Dec 21 2022 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 0.1.36-13
- Use pytest macro for tests

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.36-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.1.36-11
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.36-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 05 2021 sbluhm <stefan.bluhm@clacee.eu> - 0.1.36-9
- Added RHEL8 build

* Wed Jul 28 2021 Neal Gompa <ngompa@fedoraproject.org> - 0.1.36-8
- Add weak dependency on python-apt on Fedora

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.36-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.36-6
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.36-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.36-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 0.1.36-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 21 2020 Miroslav Suchý <msuchy@redhat.com> - 0.1.36-1
- Update python-debian to 0.1.36-1

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 0.1.33-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 0.1.33-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.33-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 16 2018 Miroslav Suchý <msuchy@redhat.com> - 0.1.33-1
- Update python-debian to 0.1.33-1

* Fri Aug 03 2018 Miroslav Suchý <msuchy@redhat.com> - 0.1.32-5
- Update python-debian to 0.1.32-3

* Thu Aug 02 2018 Miro Hrončok <miro@hroncok.cz> - 0.1.32-4
- Update python macros to python2

* Thu Aug 02 2018 Miroslav Suchý <msuchy@redhat.com> - 0.1.32-3
- correctly replace version in setup.py

* Thu Aug 02 2018 Miroslav Suchý <msuchy@redhat.com> - 0.1.32-2
- Update python-debian to 0.1.32-2

* Thu Aug 02 2018 Miroslav Suchý <msuchy@redhat.com> - 0.1.32-1
- Update python-debian to 0.1.32-1

* Sun Jul 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.30-7
- Switch to %%py2_build

* Sun Jul 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.30-6
- %%{python_sitelib} → %%{python2_sitelib}

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.30-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 0.1.30-4
- Rebuilt for Python 3.7

* Wed Feb 21 2018 Iryna Shcherbina <shcherbina.iryna@gmail.com> - 0.1.30-3
- Update Python 2 dependency declarations to new packaging standards

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Aug 21 2017 Miroslav Suchý <msuchy@redhat.com> - 0.1.30-1
- Update python-debian to 0.1.30-2

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.27-9
- Python 2 binary package renamed to python2-debian

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.27-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.27-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 0.1.27-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.27-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Thu Apr 14 2016 Miroslav Suchý <msuchy@redhat.com> - 0.1.27-4
- Update python-debian to 0.1.27-3 Resolves: #1021625 - add support for
  lzma

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.27-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Oct 08 2015 Miroslav Suchý <msuchy@redhat.com> - 0.1.27-1
- Update python-debian to 0.1.27-1

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> - 0.1.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 13 2015 Miroslav Suchý <msuchy@redhat.com> - 0.1.26-1
- Update python-debian to 0.1.26-2

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 0.1.21-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 28 2013 Miroslav Suchý <msuchy@redhat.com> - 0.1.21-9
- Update python-debian to 0.1.21-10

* Thu Nov 28 2013 Miroslav Suchý <msuchy@redhat.com> - 0.1.21-8
- Update python-debian to 0.1.21-9 Resolves: #1021625 - recognize xz
  compression

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 0.1.21-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 0.1.21-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> - 0.1.21-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> - 0.1.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 03 2011 Miroslav Suchý <msuchy@redhat.com> - 0.1.21-3
- bump up release

* Mon Oct 03 2011 Miroslav Suchý <msuchy@redhat.com> - 0.1.21-2
- require python-chardet

* Mon Oct 03 2011 Miroslav Suchý <msuchy@redhat.com> - 0.1.21-1
- rebase to 0.1.21

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 0.1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 30 2010 Miroslav Suchý <msuchy@redhat.com> - 0.1.16-3
- add changelog entry

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.16-2
- dist-git conversion

* Wed May 12 2010 Miroslav Suchý <msuchy@fedoraproject.org> - 0.1.16-1
- Import of new version of python-debian to devel branch.
## END: Generated by rpmautospec
